petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMSRegister

register a multistage scheme

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSRegister(SNESMSType name,PetscInt nstages,PetscInt nregisters,PetscReal stability,const PetscReal gamma[],const PetscReal delta[],const PetscReal betasub[])

Not Collective, but the same schemes should be registered on all processes on which they will be used Many br

### Input Parameters

| name | - identifier for method Many br
| nstages | - number of stages Many br
| nregisters | - number of registers used by low-storage implementation Many br
| gamma | - coefficients, see Ketcheson's paper Many br
| delta | - coefficients, see Ketcheson's paper Many br
| betasub | - subdiagonal of Shu-Osher form Many br

### Notes

The notation is described in Ketcheson (2010) Runge-Kutta methods with minimum storage implementations. Many br

Many br

### Keywords

SNES, register

### See Also

SNESMS

Level:advanced
Location:src/snes/impls/ms/ms.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages